dl_handle Struct Reference

`#include <dl.h>`

## Data Fields

void * | ptr
int | open
int | enable_close

## Detailed Description

Definition at line 190 of file dl.h.

## Field Documentation

int dl_handle::enable_close

Definition at line 193 of file dl.h.

Referenced by dlhandle_free(), rb_dlhandle_close_enabled_p(), rb_dlhandle_disable_close(), rb_dlhandle_enable_close(), rb_dlhandle_initialize(), and rb_dlhandle_s_allocate().

int dl_handle::open

Definition at line 192 of file dl.h.

Referenced by dlhandle_free(), predefined_dlhandle(), rb_dlhandle_close(), rb_dlhandle_initialize(), rb_dlhandle_s_allocate(), and rb_dlhandle_sym().

void* dl_handle::ptr

Definition at line 191 of file dl.h.

Referenced by dlhandle_free(), predefined_dlhandle(), rb_dlhandle_close(), rb_dlhandle_initialize(), rb_dlhandle_s_allocate(), and rb_dlhandle_sym().

The documentation for this struct was generated from the following file:

- ext/dl/dl.h